## juju-mongodb 2.4.9

=== distsrc/client/SConstruct ===
# -*- mode: python -*-

# scons file for MongoDB c++ client library and examples

import os
import sys

# options
AddOption("--extrapath",
          dest="extrapath",
          type="string",
          nargs=1,
          action="store",
          help="comma separated list of add'l paths  (--extrapath /opt/foo/,/foo) static linking")

AddOption("--prefix",
          dest="prefix",
          type="string",
          nargs=1,
          action="store",
          default="/usr/local",
          help="installation root")


# Stub out has_option so that we can use it in SConscript.client
def has_option(name):
    return False

# Stub out use_system_version_of_library so we can use it in SConscript.client
def use_system_version_of_library(name):
    return True

env = Environment(BUILD_DIR='#build',
                  CLIENT_ARCHIVE='${CLIENT_DIST_BASENAME}${DIST_ARCHIVE_SUFFIX}',
                  CLIENT_DIST_BASENAME='mongo-cxx-driver',
                  CLIENT_LICENSE='#LICENSE.txt',
                  CLIENT_SCONSTRUCT='#SConstruct',
                  MSVS_ARCH=None,
                  PYTHON=sys.executable,
                  PYSYSPLATFORM=os.sys.platform)

if env['PYSYSPLATFORM'] == 'linux3':
    env['PYSYSPLATFORM'] = 'linux2'
if 'freebsd' in env['PYSYSPLATFORM']:
    env['PYSYSPLATFORM'] = 'freebsd'

def addExtraLibs(s):
    for x in s.split(","):
        if os.path.exists(x):
            env.Append(CPPPATH=[x + "/include", x],
                       LIBPATH=[x + "/lib", x + "/lib64"])

if GetOption( "extrapath" ) is not None:
    addExtraLibs( GetOption( "extrapath" ) )

env.Prepend(CPPPATH=["$BUILD_DIR", "$BUILD_DIR/mongo"])
env.Append(CPPDEFINES=[ "_SCONS", "MONGO_EXPOSE_MACROS" ])

nix = False
linux = False
windows = False
darwin = False

if "darwin" == sys.platform:
    addExtraLibs( "/opt/local/" )
    nix = True
    darwin = True
elif sys.platform in ("linux2", "linux3"):
    nix = True
    linux = True
elif sys.platform == 'win32':
    windows = True

if windows:
    env['DIST_ARCHIVE_SUFFIX'] = '.zip'
    env.Append(CCFLAGS=['/EHsc', '/O2'])
else:
    env['DIST_ARCHIVE_SUFFIX'] = '.tgz'

if nix:
    env.Append(CCFLAGS=["-O3", "-pthread"])
if linux:
    env.Append(LINKFLAGS=["-pthread"])

boostLibs = ["thread", "filesystem", "system"]
conf = Configure(env)
for lib in boostLibs:
    if not conf.CheckLib(["boost_%s-mt" % lib, "boost_%s" % lib],
                         language="C++"):
        if not windows:
            Exit(1)

env['MONGO_BUILD_SASL_CLIENT'] = conf.CheckLibWithHeader(
    "sasl2", "sasl/sasl.h", "C", "sasl_version_info(0, 0, 0, 0, 0, 0);", autoadd=False)

if (conf.CheckCXXHeader( "execinfo.h" ) and
    conf.CheckDeclaration('backtrace', includes='#include <execinfo.h>') and
    conf.CheckDeclaration('backtrace_symbols', includes='#include <execinfo.h>') and
    conf.CheckDeclaration('backtrace_symbols_fd', includes='#include <execinfo.h>')):

    env.Append( CPPDEFINES=[ "MONGO_HAVE_EXECINFO_BACKTRACE" ] )

conf.Finish()

class InstallSetup:
    binaries = False
    libraries = False
    headers = False
installSetup = InstallSetup()

Export("env has_option use_system_version_of_library installSetup")
Export("nix linux windows darwin")
env.SConscript('src/SConscript.client', variant_dir='$BUILD_DIR', duplicate=False)

mongoclient = env.Alias('mongoclient', ['${LIBPREFIX}mongoclient${LIBSUFFIX}'])
env.Default(mongoclient)


# install
env.Alias("install", GetOption('prefix'))

=== src/third_party/pcre-8.30/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.








pkgdatadir = $(datadir)/pcre
pkgincludedir = $(includedir)/pcre
pkglibdir = $(libdir)/pcre
pkglibexecdir = $(libexecdir)/pcre
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
TESTS = $(am__EXEEXT_3) $(am__EXEEXT_4) RunTest $(am__append_18)
bin_PROGRAMS = pcretest$(EXEEXT) $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4)

# These additional headers will be be installed if C++ support is enabled. We
# do not distribute pcrecpparg.h or pcre_stringpiece.h, as these are generated
# from corresponding .h.in files (which we do distribute).
am__append_1 = \
  pcrecpparg.h \
  pcre_stringpiece.h

am__append_2 = \
  pcrecpp.h \
  pcre_scanner.h

#am__append_3 = dftables

# Build the 8 bit library if it is enabled.
am__append_4 = libpcre.la

# Build the 16 bit library if it is enabled.
#am__append_5 = libpcre16.la
#am__append_6 = pcre_jit_test
#am__append_7 = pcre_jit_test
#am__append_8 = libpcre.la
##am__append_9 = libpcre16.la
am__append_10 = libpcreposix.la
am__append_11 = libpcrecpp.la
am__append_12 = pcrecpp_unittest \
	pcre_scanner_unittest \
	pcre_stringpiece_unittest
am__append_13 = pcrecpp_unittest \
	pcre_scanner_unittest \
	pcre_stringpiece_unittest
am__append_14 = pcre_printint.c
am__append_15 = libpcreposix.la
#am__append_16 = pcre16_printint.c
#am__append_17 = libpcre16.la
am__append_18 = RunGrepTest
am__append_19 = RunGrepTest
am__append_20 = pcregrep
#am__append_21 = libpcre16.pc
am__append_22 = libpcrecpp.pc
subdir = .
DIST_COMMON = README $(am__configure_deps) \
	$(am__dist_noinst_SCRIPTS_DIST) $(am__include_HEADERS_DIST) \
	$(dist_doc_DATA) $(dist_html_DATA) $(dist_man_MANS) \
	$(dist_noinst_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libpcre.pc.in $(srcdir)/libpcre16.pc.in \
	$(srcdir)/libpcrecpp.pc.in $(srcdir)/libpcreposix.pc.in \
	$(srcdir)/pcre-config.in $(srcdir)/pcre.h.in \
	$(srcdir)/pcre_stringpiece.h.in $(srcdir)/pcrecpparg.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	config.guess config.sub depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libpcre.pc libpcre16.pc libpcreposix.pc \
	libpcrecpp.pc pcre-config pcre.h pcre_stringpiece.h \
	pcrecpparg.h
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man3dir)" "$(DESTDIR)$(docdir)" \
	"$(DESTDIR)$(htmldir)" "$(DESTDIR)$(htmldir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)" \
	"$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libpcre_la_LIBADD =
am__libpcre_la_SOURCES_DIST = pcre_byte_order.c pcre_compile.c \
	pcre_config.c pcre_dfa_exec.c pcre_exec.c pcre_fullinfo.c \
	pcre_get.c pcre_globals.c pcre_internal.h pcre_jit_compile.c \
	pcre_maketables.c pcre_newline.c pcre_ord2utf8.c \
	pcre_refcount.c pcre_string_utils.c pcre_study.c pcre_tables.c \
	pcre_ucd.c pcre_valid_utf8.c pcre_version.c pcre_xclass.c \
	ucp.h
am_libpcre_la_OBJECTS = pcre_byte_order.lo \
	pcre_compile.lo pcre_config.lo \
	pcre_dfa_exec.lo pcre_exec.lo \
	pcre_fullinfo.lo pcre_get.lo pcre_globals.lo \
	pcre_jit_compile.lo pcre_maketables.lo \
	pcre_newline.lo pcre_ord2utf8.lo \
	pcre_refcount.lo pcre_string_utils.lo \
	pcre_study.lo pcre_tables.lo pcre_ucd.lo \
	pcre_valid_utf8.lo pcre_version.lo \
	pcre_xclass.lo
nodist_libpcre_la_OBJECTS = pcre_chartables.lo
libpcre_la_OBJECTS = $(am_libpcre_la_OBJECTS) \
	$(nodist_libpcre_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
libpcre_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libpcre_la_LDFLAGS) $(LDFLAGS) -o $@
am_libpcre_la_rpath = -rpath $(libdir)
libpcre16_la_LIBADD =
am__libpcre16_la_SOURCES_DIST = pcre16_byte_order.c \
	pcre16_chartables.c pcre16_compile.c pcre16_config.c \
	pcre16_dfa_exec.c pcre16_exec.c pcre16_fullinfo.c pcre16_get.c \
	pcre16_globals.c pcre16_jit_compile.c pcre16_maketables.c \
	pcre16_newline.c pcre16_ord2utf16.c pcre16_refcount.c \
	pcre16_string_utils.c pcre16_study.c pcre16_tables.c \
	pcre16_ucd.c pcre16_utf16_utils.c pcre16_valid_utf16.c \
	pcre16_version.c pcre16_xclass.c
#am_libpcre16_la_OBJECTS = pcre16_byte_order.lo \
#	pcre16_chartables.lo pcre16_compile.lo \
#	pcre16_config.lo pcre16_dfa_exec.lo \
#	pcre16_exec.lo pcre16_fullinfo.lo \
#	pcre16_get.lo pcre16_globals.lo \
#	pcre16_jit_compile.lo pcre16_maketables.lo \
#	pcre16_newline.lo pcre16_ord2utf16.lo \
#	pcre16_refcount.lo pcre16_string_utils.lo \
#	pcre16_study.lo pcre16_tables.lo \
#	pcre16_ucd.lo pcre16_utf16_utils.lo \
#	pcre16_valid_utf16.lo pcre16_version.lo \
#	pcre16_xclass.lo
#nodist_libpcre16_la_OBJECTS = pcre_chartables.lo
libpcre16_la_OBJECTS = $(am_libpcre16_la_OBJECTS) \
	$(nodist_libpcre16_la_OBJECTS)
libpcre16_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libpcre16_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libpcre16_la_rpath = -rpath $(libdir)
libpcrecpp_la_DEPENDENCIES = libpcre.la
am__libpcrecpp_la_SOURCES_DIST = pcrecpp_internal.h pcrecpp.cc \
	pcre_scanner.cc pcre_stringpiece.cc
am_libpcrecpp_la_OBJECTS = pcrecpp.lo \
	pcre_scanner.lo pcre_stringpiece.lo
libpcrecpp_la_OBJECTS = $(am_libpcrecpp_la_OBJECTS)
libpcrecpp_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libpcrecpp_la_LDFLAGS) $(LDFLAGS) \
	-o $@
am_libpcrecpp_la_rpath = -rpath $(libdir)
libpcreposix_la_DEPENDENCIES = libpcre.la
am__libpcreposix_la_SOURCES_DIST = pcreposix.c
am_libpcreposix_la_OBJECTS = pcreposix.lo
libpcreposix_la_OBJECTS = $(am_libpcreposix_la_OBJECTS)
libpcreposix_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libpcreposix_la_LDFLAGS) $(LDFLAGS) \
	-o $@
am_libpcreposix_la_rpath = -rpath $(libdir)
am__EXEEXT_1 = pcregrep$(EXEEXT)
#am__EXEEXT_2 = dftables$(EXEEXT)
#am__EXEEXT_3 = pcre_jit_test$(EXEEXT)
am__EXEEXT_4 = pcrecpp_unittest$(EXEEXT) \
	pcre_scanner_unittest$(EXEEXT) \
	pcre_stringpiece_unittest$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__dftables_SOURCES_DIST = dftables.c
#am_dftables_OBJECTS =  \
#	dftables.$(OBJEXT)
dftables_OBJECTS = $(am_dftables_OBJECTS)
dftables_LDADD = $(LDADD)
am__pcre_jit_test_SOURCES_DIST = pcre_jit_test.c
#am_pcre_jit_test_OBJECTS = pcre_jit_test.$(OBJEXT)
pcre_jit_test_OBJECTS = $(am_pcre_jit_test_OBJECTS)
#pcre_jit_test_DEPENDENCIES = $(am__append_8) \
#	$(am__append_9)
am__pcre_scanner_unittest_SOURCES_DIST = pcre_scanner_unittest.cc
am_pcre_scanner_unittest_OBJECTS =  \
	pcre_scanner_unittest.$(OBJEXT)
pcre_scanner_unittest_OBJECTS = $(am_pcre_scanner_unittest_OBJECTS)
pcre_scanner_unittest_DEPENDENCIES =  \
	libpcrecpp.la
am__pcre_stringpiece_unittest_SOURCES_DIST =  \
	pcre_stringpiece_unittest.cc
am_pcre_stringpiece_unittest_OBJECTS =  \
	pcre_stringpiece_unittest.$(OBJEXT)
pcre_stringpiece_unittest_OBJECTS =  \
	$(am_pcre_stringpiece_unittest_OBJECTS)
pcre_stringpiece_unittest_DEPENDENCIES =  \
	libpcrecpp.la
am__pcrecpp_unittest_SOURCES_DIST = pcrecpp_unittest.cc
am_pcrecpp_unittest_OBJECTS =  \
	pcrecpp_unittest.$(OBJEXT)
pcrecpp_unittest_OBJECTS = $(am_pcrecpp_unittest_OBJECTS)
pcrecpp_unittest_DEPENDENCIES = libpcrecpp.la
am__pcregrep_SOURCES_DIST = pcregrep.c
am_pcregrep_OBJECTS = pcregrep.$(OBJEXT)
pcregrep_OBJECTS = $(am_pcregrep_OBJECTS)
am__DEPENDENCIES_1 =
pcregrep_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) libpcreposix.la
am__pcretest_SOURCES_DIST = pcretest.c pcre_printint.c \
	pcre16_printint.c
am__objects_1 = pcre_printint.$(OBJEXT)
#am__objects_2 = pcre16_printint.$(OBJEXT)
am_pcretest_OBJECTS = pcretest.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2)
pcretest_OBJECTS = $(am_pcretest_OBJECTS)
pcretest_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__append_15) \
	$(am__append_17)
am__dist_noinst_SCRIPTS_DIST = RunTest RunGrepTest
SCRIPTS = $(bin_SCRIPTS) $(dist_noinst_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX   " $@;
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@

=== debian/changelog ===
juju-mongodb (2.4.9-0ubuntu3) trusty; urgency=medium

  * d/p/0099-Pagesize-hacks.patch: Apply some hacks for non-4k pages.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Mar 2014 00:47:53 -0600

juju-mongodb (2.4.9-0ubuntu2) trusty; urgency=medium

  * d/tests/binaries: Drop check for mongo binary.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2014 16:39:13 +0000

juju-mongodb (2.4.9-0ubuntu1) trusty; urgency=medium

  * New upstream point release.
  * d/p/0003-SERVER-12064-Use-gcc-atomic-builtins-if-available.patch:
    Dropped - not really needed for this version on mongodb.
  * d/install: Don't ship mongo binary, its broken without a JS engine
    (LP: #1270098).
  * d/p/0005-disable-jstests.patch: Dropped in preference to updates to
    d/p/0001-Add-option-to-disable-javascript.patch - rebased on revised
    upstream pull request.
  * d/rules: Don't strip binaries during build so we get a ddeb.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2014 14:52:36 +0000

juju-mongodb (2.4.8-0ubuntu6) trusty; urgency=medium

  * Switch back to running standard smoke test suite, minus jstests:
    - d/rules: Use smoke target for test execution.
    - d/patches/0005-disable-jstests.patch: Disable jstests suite.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 21:51:41 +0000

juju-mongodb (2.4.8-0ubuntu5) trusty; urgency=medium

  * Enable better support for alternative architectures:
    - 0001-SERVER-12064-Atomic-operations-for-gcc-non-Intel-arc.patch
      0002-SERVER-12065-Support-ARM-and-AArch64-builds.patch
      0003-SERVER-12064-Use-gcc-atomic-builtins-if-available.patch:
      Cherry picked changes from Robie Basak to enable atomic operations
      on non-Intel architectures.
    - 0004-Support-ppc64el-builds.patch: Add support for detection of
      powerpc64 as a 64-bit platform.
    - d/control: Enable arm64 and ppc64el architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 16:47:27 +0000

juju-mongodb (2.4.8-0ubuntu4) trusty; urgency=medium

  * Disable javascript scripting support:
    - d/rules: Pass --disable-scripting, drop config options for v8 and sm,
      only run C++ based tests during smoke testing.
    - d/p/0001-Add-option-to-disable-javascript.patch: Cherry picked changes 
      from Michael Hudson to add support for disabling javascript support.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 14:48:30 +0000

juju-mongodb (2.4.8-0ubuntu3) trusty; urgency=medium

  * d/rules: Ignore test failures when testing with spidermonkey
    scripting engine for the time being.
  * d/control: Drop dependency on adduser as its not required.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Dec 2013 16:37:23 +0000

juju-mongodb (2.4.8-0ubuntu2) trusty; urgency=medium

  * d/rules: Use spidermonkey as scripting engine for architectures that
    don't currently have v8 support.
  * d/tests/binaries: Fix exit code handling to resolve autopkg test failure.
  * d/rules: Ignore errors from scons clean.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Dec 2013 08:33:20 +0000

juju-mongodb (2.4.8-0ubuntu1) trusty; urgency=low

  * Create new binary only MongoDB package for use by Juju, supporting
    plans for inclusion of juju-core in Ubuntu main:
    - d/control: Add new juju-mongodb package, drop all others.
    - d/control: Use embedded v8 to avoid general inclusion in main.
    - d/control,d/p/series: Drop use of system libstemmer in preference
      to embedded version.
    - d/tests/*: Drop existing tests and add new binary path check for
      juju-mongodb.
    - d/install: Install mongod and mongos + assorted client tools to juju
      namespaced path. 
    - d/*: Drop mongodb-* related packaging files, no longer needed.
    - d/control: Use google-perftools on armhf architecture.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2013 16:07:10 +0000

mongodb (1:2.4.8-2) unstable; urgency=low

  * Sync with Ubuntu (closes: #730203).

  [ James Page <james.page@ubuntu.com> ]
  * d/control: Enable armhf across all binary packages.
  * d/control,tests: Add DEP-8 tests.
  * d/p/0011-Use-a-signed-char-to-store-BSONType-enumerations.patch: Fixup
    build failure on ARM due to missing signed'ness of char cast.

  [ Rogério Brito <rbrito@ime.usp.br> ]
  * debian/control: Add more details to the long descriptions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Nov 2013 18:09:38 +0100

mongodb (1:2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Add armhf architecture to the supported build systems.
  * Build with SSL enabled.
  * Update Standards-Version to 3.9.5 .

  [ Viktar Vauchkevich <victorenator@gmail.com> ]
  * Add systemd support (closes: #717321).

  [ James Page <james.page@ubuntu.com> ]
  * d/copyright: Add details of MongoDB AGPL+OpenSSL license exception
    to support continued use of MongoDB with SSL support enabled
    (LP: #1175028).
  * d/mongodb.conf: Add example SSL configuration options.
  * d/mongodb-server.mongodb.upstart: Add upstart configuration.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Nov 2013 07:55:06 +0000

mongodb (1:2.4.6-1) unstable; urgency=low

  * New upstream release.
  * Change package priority to optional.
  * Update Standards-Version to 3.9.4 .
  * Fix typedefs FTBFS with 0009-ignore-unused-local-typedefs.patch
    (closes: #701324), thanks to James Page <james.page@ubuntu.com>
  * Fix integer comparision FTBFS with 0010-fix-integer-signs.patch
    (closes: #724100).
  * Rework packaging with short debhelper format instead of cdbs.
  * Compile with system V8 library.
  * Move packaging to Debian servers.
  * New maintainer (closes: #725854).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Sep 2013 12:31:11 +0000

mongodb (1:2.4.5-1) unstable; urgency=critical

  * new upstream release
    https://jira.mongodb.org/browse/SERVER/fixforversion/12519
  * CVE-2013-4650 - fix allows remote authenticated users to obtain


=== debian/control ===
Source: juju-mongodb
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9),
 libboost-date-time-dev,
 libboost-dev (>> 1.50),
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libgoogle-perftools-dev [linux-amd64 linux-i386 armhf],
 libpcap-dev,
 libpcre3-dev,
 libreadline-dev,
 libsnappy-dev,
 libssl-dev,
 python-pymongo,
 scons
Standards-Version: 3.9.5
Homepage: http://www.mongodb.org
XS-Testsuite: autopkgtest

Package: juju-mongodb
Architecture: amd64 i386 armhf arm64 ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MongoDB object/document-oriented database for Juju
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package provides the mongod and mongos binaries for use within Juju,
 the service orchestration for Ubuntu.
